31. GIAI PHAP-TESTING - Task #1222
Task # 1211 (Closed): Cai dat server log tap trung

Setup mail server axigen lab test
30-09-2024 11:22 - Minh Pham

Trang thai: Closed Bat dau: 22-09-2024

Mdc uu tién: Normal Hét han: 30-09-2024

Phan coéng cho: Minh Pham Tién do: 0%

Chu dé: Thoi gian uéc 0:00 gid
luong:

Phién ban: Thaoi gian: 0:00 gio

M6 ta

Muc tiéu:

Setup server mail axigen dé gui log vé server elasticsearch
Két qua thuc hién:

Setup server mail lab
[INPUT]
Ham
th fvarfopt/axigen/log/default.txt
g

modify

axi.everything

Parser
ILTER]
Hame modify
Match axi.security
add tag axi.security

[OUTEUT]

endpoint iz secure uncomment the line below

igned certificate is used, validation should be disabled

Exigen View Log Files

\cceptance & Routing

FILE NAME LAST CHANGED ACTIONS
fluent-bit.db-wal
default txt

fluent-bit.db-shm

fluent bit.db

View Log File: default.txt

P Back-up & Restore
Config log mail to elk

> Sep 3@, 2624 @ @9:

57:39.608

@timestamp: Sep 3@, 2024 @ ©9:57:39.680 host: ubuntu jobID: 80086814 log: <ff3lcfa37ecs7iel1f292676f1d9ffb7ed> GET /7
_h=da87bc4c58ef9456dcf58c50bf28d4cBEpage=vlfaction=edit&fileName=default%252Etxt HTTP/1.1 u=admin code=20@ time=28 loglevel: @8 service: WEBADMIN tag: axi.everything
_id: fajcQJIBIfeqt_aC@tzt _index: search _score: - _type: _doc

> Sep 3@, 2024 @ B9:57:39.800  gtimestamp: Sep 3@, 2624 @ 89:57:39.808 host: ubuntu jobID: ©8@88614 log: <ff31cfa37@c57e1f29207671d9ffb7ed> GET /sources/logging/page_log_file content.hsp?
_h=daB7bc4c58ef9456dcf50c59bT208d4cBRfileName=default%2Etxt HTTP/1.1 u=admin code=280 time=2 loglevel: @8 service: WEBADMIN tag: axi.everything _id: fQjcQJIBIfeqt_aCetzt
_index: search _score: - _type: _doc
> Sep 30, 2824 @ 09:57:36.800 @timestamp: Sep 36, 2024 @ 89:57:36.888 host: ubuntu jobID: 68PEBA14 log: <ff3lcfa376c57e1f292676f1d9ffbTed> GET /?_h=daB7hcdc58ef9456dcf50c59bF28d4cBRpage=vlf HTTP/1.1 u=admin
code=208 time=24 loglevel: 88 service: WEBADMIN tag: axi.everything _id: GgjcQJIBIfeqt_acqdzd _index: search _score: - _type: _doc
> Sep 30, 2824 @ 09:57:34.800 @timestamp: Sep 36, 2024 @ 89:57:34.886 host: ubuntu jobID: 68PEBA14 log: <ff3lcfa376c57e1f292676f1d9ffbTed> GET /?_h=daB7hcdc58ef9456dcf50c59bF28d4cBRpage=rlc HTTP/1.1 u=admin
code=208 time=14 loglevel: 88 service: WEBADMIN tag: axi.everything _id: G6QjcQJIBIfeqt_acqdzd _index: search _score: - _type: _doc
> Sep 30, 2024 & 09:57:10.600 @timestamp: Sep 36, 2024 @ 89:57:19.888 host: ubuntu jobID: 68@EBA14 log: <ff3lcfa376c57e1f292676f1d9ffbied> GET /?_h=daB7hcdc58ef9456dcf50c59bF28d4cBRpage=11o HTTP/1.1 u=admin
code=208 time=38 loglevel: 88 service: WEBADMIN tag: axi.everything _id: cAjcQJIBIfeqt_aChNvN _index: search _score: - _type: _doc
> Sep 38, 20624 € 89:57:14.680  gtimestamp: Sep 30, 2024 @ 09:57:14.008 host: ubuntu jobID: 8880@@14 log: <ff3lcfa37ecs7e1f292076f1d9ffbed> GET /?
_h=da87bc4c58ef9456dcf58c50bf28d4cBEpage=rlcediaction=viendpriority=1000 HTTP/1.1 u=admin code=200 time=25 loglevel: 88 service: WEBADMIN tag: axi.everything
_id: HAjcQJIBIfeqt_aCXdu- _index: search _score: - _type: _doc
> Sep 38, 2624 € 89:57:12.888  gtimestamp: Sep 30, 2024 @ 99:57:12.886 host: ubuntu jobID: 888AAE14 log: <ff31cfa37ec57e1f292076f1d9ffb7ed> GET /?_h=daB7hcdc58ef9456dcf50c50bf28d4cBapage=rlc HTTP/1.1 u=admin
>
Luogc su
#1 - 30-09-2024 14:37 - Minh Pham
- Tép tin clipboard-202409301435-jwslf.png dugc thém
- Tép tin clipboard-202409301437-fzqth.png dugc thém
- M6 ta cap nhét
#2 - 30-09-2024 14:38 - Minh Pham
- Trang thai thay d6i tir In Progress téi Closed
#3 - 30-09-2024 18:30 - Minh Pham
- Tép tin clipboard-202409301830-yqfhw.png dugc thém
- Tap tin clipboard-202409301830-2aovr.png dugc thém
- M6 ta cap nhét
#4 - 30-09-2024 18:31 - Minh Pham
- M6 ta cadp nhét
A .
Tap tin
clipboard-202409301435-jwslf.png 159 KB 30-09-2024 Minh Pham
clipboard-202409301437-fzqth.png 225 KB 30-09-2024 Minh Pham
clipboard-202409301830-yqfhw.png 42,3 KB 30-09-2024 Minh Pham
clipboard-202409301830-2aovr.png 42,6 KB 30-09-2024 Minh Pham
